aboutsummaryrefslogtreecommitdiff
path: root/dev/libs
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-15 23:16:26 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-15 23:16:26 +0000
commitd47d0ec2b2600b1e21ffc3f1b59d6afb7186c608 (patch)
tree1fa701516326aa0259d0365944550ec318a34bb0 /dev/libs
parente079447eb9ad909885e9b4aaa71ea9d2d61246a5 (diff)
downloadslackbuilds-d47d0ec2b2600b1e21ffc3f1b59d6afb7186c608.tar.gz
slackbuilds-d47d0ec2b2600b1e21ffc3f1b59d6afb7186c608.tar.bz2
fixed util-vserver dependencies
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@927 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/libs')
-rwxr-xr-xdev/libs/beecrypt/beecrypt.SlackBuild123
-rw-r--r--dev/libs/beecrypt/slack-required2
2 files changed, 125 insertions, 0 deletions
diff --git a/dev/libs/beecrypt/beecrypt.SlackBuild b/dev/libs/beecrypt/beecrypt.SlackBuild
new file mode 100755
index 00000000..f18b4276
--- /dev/null
+++ b/dev/libs/beecrypt/beecrypt.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# slackbuild script for beecrypt
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building cairo are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="beecrypt"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=4.1.2}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+# KEY="http://www.courier-mta.org/KEYS.bin"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
+fi
+
+# TODO: signature checking
+#if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
+# wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
+#fi
+
+gpg --verify $SRC_DIR/$SRC.sig $SRC || echo WARNING: Could not check signature or WRONG signature found.
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+beecrypt: beecrypt (cryptography toolkit)
+beecrypt:
+beecrypt: BeeCrypt is an ongoing project to provide strong and fast
+beecrypt: cryptography in the form of a toolkit usable by commercial and open
+beecrypt: source projects. Included in the library are entropy sources, random
+beecrypt: generators, block ciphers, hash functions, message authentication
+beecrypt: codes, multiprecision integer routines, and public key primitives.
+beecrypt:
+beecrypt:
+beecrypt:
+beecrypt:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS BENCHMARKS BUGS CONTRIBUTORS COPYING ChangeLog INSTALL NEWS README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/dev/libs/beecrypt/slack-required b/dev/libs/beecrypt/slack-required
new file mode 100644
index 00000000..3ec97401
--- /dev/null
+++ b/dev/libs/beecrypt/slack-required
@@ -0,0 +1,2 @@
+libgcrypt
+libgpg-error